Scilab Function
Last update : 00/00/0000

meof - check if end of file has been reached

### Calling Sequence

  `err=meof(fd)`

### Parameters

- `fd`: scalar. The `fd` parameter returned by the function `mopen`. -1 stands for last opened file. Default value is -1.
- `err`: scalar. Error indicator

### Description

The function `meof` will return a non null value if end of file has been reached in a previous call to `mget` or `mgetstr`. The function `clearerr` is used to reset the error flag and EOF flag to zero.

### See Also

`mclose`, `meof`, `mfprintf`, `fprintfMat`, `mfscanf`, `fscanfMat`, `mget`, `mgetstr`, `mopen`, `mprintf`, `mput`, `mputstr`, `mscanf`, `mseek`, `mtell`, `mdelete`,